From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/mksh/
Date: Tue, 16 Jan 2018 16:02:16 +0000 (UTC) [thread overview]
Message-ID: <1516118531.09fe37cca47e5858f927f18069a1b21564d2f165.patrick@gentoo> (raw)
commit: 09fe37cca47e5858f927f18069a1b21564d2f165
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 16 16:01:49 2018 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Tue Jan 16 16:02:11 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09fe37cc
app-shells/mksh: Bump
Package-Manager: Portage-2.3.19, Repoman-2.3.6
app-shells/mksh/Manifest | 1 +
app-shells/mksh/mksh-56c.ebuild | 47 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/app-shells/mksh/Manifest b/app-shells/mksh/Manifest
index aea7d10dacb..92c1d1219e9 100644
--- a/app-shells/mksh/Manifest
+++ b/app-shells/mksh/Manifest
@@ -4,3 +4,4 @@ DIST mksh-R52c.tgz 386254 BLAKE2B 027cf8e2bff4b8cc00ccd574a8a11b0e5d0164d9e59a9a
DIST mksh-R53a.tgz 393344 BLAKE2B 4dd331eea194ffa354359134677272aeca07cbbec45a07198d75bee623285f368f2887042faa5f7f5a58a935f53dd2e1b4cd930bed6b48c13cda0a82305ae58e SHA512 634e1cbdba7eaa3b6a7d75d9ade23e6465c8874ef616adb708867f6c46e5722bd2e4818f92350aeb7908872678fb446635224fff990d4dcdd4cf4f666cf2e91c
DIST mksh-R56.tgz 414865 BLAKE2B b50ff737efd899ff3a8d588717492c37b06f8f8dca147f34a974ccd15563259457472188886f0b1a73b78cf11531585c0bad40b86eec7841c4058a0572fb3355 SHA512 33839ed112b1b80eb6090f7fd3027d136e5b7c57ff5b3bd16f76f76fe1f39c8c0d49a0b43381ecfd3b20366c5edec515e554535151fe17021ab3dfaa70e84d82
DIST mksh-R56b.tgz 415088 BLAKE2B fef8baf664cb61ddfb312e2ec1c81f192478bfdc889ad82e7dc51f50517ec54c13fb32586c70f3d3a276ac739a93ac64ee1a511492e1e592d015b4882f4107f3 SHA512 a6f9061b2bfd19e9f4fdf3212a1c5a53a53cdb52650c95287cd380530c08f4a65a1ccec4bdcbba5e7c34e4764bf04eb43abb01742bcbf83107847a6996cc77a8
+DIST mksh-R56c.tgz 417218 BLAKE2B 3512855dd177be8432fe503716ca571a3c06ab3eeb6b44de923ab7d9eb9246087f627b7d7a3e9bb29a849da126b88c223864f140b136e922776ec7bd4a04e96d SHA512 7e4cd2d24c6bca2ebad7c6b02d158188e766bd4693d93f5bed198d69238aef078d42ce911431ad4e419e4af55083047d823bfad53973db5c6d8a685482770135
diff --git a/app-shells/mksh/mksh-56c.ebuild b/app-shells/mksh/mksh-56c.ebuild
new file mode 100644
index 00000000000..fe3b54c6ab8
--- /dev/null
+++ b/app-shells/mksh/mksh-56c.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="MirBSD KSH Shell"
+HOMEPAGE="http://mirbsd.de/mksh"
+SRC_URI="http://www.mirbsd.org/MirOS/dist/mir/mksh/${PN}-R${PV}.tgz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static"
+DEPEND="static? ( dev-libs/klibc )"
+RDEPEND=""
+S="${WORKDIR}/${PN}"
+
+src_compile() {
+ tc-export CC
+ # we want to build static with klibc
+ if use static ; then
+ unset CC
+ export CC="/usr/bin/klcc"
+ export LDSTATIC="-static"
+ fi
+ export CPPFLAGS="${CPPFLAGS} -DMKSH_DEFAULT_PROFILEDIR=\\\"${EPREFIX}/etc\\\""
+ sh Build.sh -r || die
+}
+
+src_install() {
+ exeinto /bin
+ doexe mksh
+ doman mksh.1
+ dodoc dot.mkshrc
+}
+
+src_test() {
+ ./test.sh || die
+}
+
+pkg_postinst() {
+ ebegin "Updating /etc/shells"
+ ( grep -v "^/bin/mksh$" "${ROOT}"etc/shells; echo "/bin/mksh" ) > "${T}"/shells
+ mv -f "${T}"/shells "${ROOT}"etc/shells
+ eend $?
+}
next reply other threads:[~2018-01-16 16:02 UTC|newest]
Thread overview: 60+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-01-16 16:02 Patrick Lauer [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-18 17:54 [gentoo-commits] repo/gentoo:master commit in: app-shells/mksh/ Ulrich Müller
2024-08-30 15:58 Arthur Zamarin
2022-12-27 19:45 Sam James
2022-12-16 21:19 Arthur Zamarin
2022-12-02 18:44 WANG Xuerui
2021-05-24 7:39 Joonas Niilola
2021-04-27 20:18 Sam James
2021-02-22 14:47 Joonas Niilola
2021-02-16 12:34 Sam James
2021-02-14 5:37 Sam James
2021-02-09 21:31 Sam James
2021-02-09 21:30 Sam James
2021-02-09 9:48 Sam James
2021-02-09 6:16 Sam James
2020-12-17 13:48 Joonas Niilola
2020-12-16 16:12 Sam James
2020-12-16 8:29 Joonas Niilola
2020-12-15 10:39 Sam James
2020-12-15 10:37 Sam James
2020-12-13 7:42 Sam James
2020-12-11 7:42 Sergei Trofimovich
2020-12-10 21:41 Thomas Deutschmann
2020-12-10 17:43 Sam James
2020-05-07 14:57 Lars Wendler
2020-05-07 14:57 Lars Wendler
2020-04-07 10:21 Mart Raudsepp
2020-03-29 14:45 Sergei Trofimovich
2020-03-27 16:48 Lars Wendler
2020-03-27 16:48 Lars Wendler
2020-02-11 14:14 Michał Górny
2020-02-11 12:15 Agostino Sarubbo
2020-02-11 11:36 Agostino Sarubbo
2020-02-11 10:54 Agostino Sarubbo
2019-12-01 23:24 Michał Górny
2019-04-29 13:48 Michał Górny
2019-04-29 13:48 Michał Górny
2019-04-29 13:48 Michał Górny
2019-03-14 17:59 Patrick Lauer
2019-01-27 11:05 Pacho Ramos
2019-01-11 20:33 Hanno Boeck
2018-12-12 16:17 Mikle Kolyada
2018-12-08 9:36 Sergei Trofimovich
2018-12-07 2:41 Thomas Deutschmann
2018-12-05 15:23 Lars Wendler
2018-12-05 15:12 Mikle Kolyada
2018-01-07 12:39 Markus Meier
2017-08-30 18:34 Patrick Lauer
2017-08-09 14:06 Patrick Lauer
2016-08-23 14:23 Patrick Lauer
2016-08-23 14:23 Patrick Lauer
2016-07-07 2:35 Stephen Klimaszewski
2016-03-06 23:33 Patrick Lauer
2016-01-22 11:00 Patrick Lauer
2016-01-22 10:59 Patrick Lauer
2015-12-21 10:23 Patrick Lauer
2015-09-20 9:30 Agostino Sarubbo
2015-09-06 13:25 Agostino Sarubbo
2015-09-01 12:08 Lars Wendler
2015-08-26 11:00 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1516118531.09fe37cca47e5858f927f18069a1b21564d2f165.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox